pontos_deploy:
  extends: .capistrano
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_PONTOS
    SSH_SERVER: pontos.ucsd.edu
    SSH_USER: conan
  script:
    - deploy_to "pontos" "$CHAT_INPUT"
    - echo -e "section_start:$( date +%s ):chat_reply\r\033[0K\nPontos Deploy Succeeded - $CI_JOB_URL\nsection_end:$( date +%s ):chat_reply\r\033[0K"

staging_deploy:
  extends: .capistrano
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_STAGING
    SSH_SERVER: lib-hydrahead-staging.ucsd.edu
    SSH_USER: conan
  script:
    - deploy_to "staging" "$CHAT_INPUT"
    - echo -e "section_start:$( date +%s ):chat_reply\r\033[0K\nStaging Deploy Succeeded - $CI_JOB_URL\nsection_end:$( date +%s ):chat_reply\r\033[0K"

production_deploy:
  extends: .capistrano
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_PRODUCTION
    SSH_SERVER: lib-hydrahead-prod.ucsd.edu
    SSH_USER: conan
  script:
    - deploy_to "production" "$CHAT_INPUT"
    - echo -e "section_start:$( date +%s ):chat_reply\r\033[0K\nProduction Deploy Succeeded - $CI_JOB_URL\nsection_end:$( date +%s ):chat_reply\r\033[0K"

production_scheduled_deploy:
  extends: .capistrano
  stage: deploy
  only:
    - schedules
  variables:
    SSH_PRIVATE_KEY: $SSH_KEY_PRODUCTION
    SSH_SERVER: lib-hydrahead-prod.ucsd.edu
    SSH_USER: conan
  script:
    - deploy_to "production" "trunk"

